#! /usr/bin/perl -w

# Changing 10nF/0805 --> 10NF8.

while (<>) {
    # Skip empty, comment, and header lines.
    if (($_ eq "\n") || ($_ eq "\r\n") || (/\*/) || (/corners/) || (/PACKAGE/)) {
        print;
        next;
    }
    @_ = split;
    if (($_[3] ne "") && ($_[1] ne "")) {
        $x = $_[4];
        $y = $_[5];
        $rot = $_[6];
        if ($rot < 0) {
            $rot += 360;
        }
        if (($_[1] eq "10NF") && ($_[3] eq "SMC0805")) {
            $_[1] = "10NF8";
        }
        printf "%-10s %-10s %-10s %-16s %7.2f %7.2f %3d\r\n", $_[0], $_[1], $_[2], $_[3], $x, $y, $rot;
    }
}
